Update extension on SudoLikeABoss?

edited October 2016 in 1Password 6 Beta

I use sudolikeaboss on iTerm and it asks me to update the extension


1Password Version: 6.5 Beta 26
Extension Version: 4.6.2b2
OS Version: macOS 10.12.1
Sync Type: iCloud

Comments

  • rickfillionrickfillion Junior Member

    Team Member

    Hi @rafcontreras,

    Right. SudoLikeABoss uses a connection method that we'd like to phase out. Could you file a bug with the SudoLikeABoss folks and send us a URL to the github issue? We're going to need to work with the SudoLikeABoss developers and try to see if we can provide them something like documentation for the new method.

    SudoLikeABoss was built by reverse engineering our 1Password Browser Extension's connection information to mini, and is not supported by us. We think it's cool, don't get me wrong. We think it's really cool. But this feature isn't one that we develop ourselves, and can't guarantee that it will keep working in the future.

    I'm hopeful that we can provide them with what they'd need in order to update their side to get it working using the new connection info.

    Rick

  • Thanks Rick,

    I have filed the bug at https://github.com/ravenac95/sudolikeaboss/issues/29 in the mean time I'm going to install a non-beta release of 1P

  • rickfillionrickfillion Junior Member

    Team Member

    Thanks @rafcontreras.

    I've posted on that GitHub issue and we'll see if we can work with the sudolikeaboss developers so that this can be fixed up.

    Rick

  • jpgoldbergjpgoldberg Agile Customer Care

    Team Member

    Just an update. We've been in touch with the lead developer of sudolikeaboss and hope that the details about extension authentication that we have provided will make it possible for them to get this working.

    Obviously, I can't make any promises at all about "if or when". But it is being looked at.

  • I'm a sudolikeaboss user, and the fact that it's now broken on the non-beta mainstream extension is chafingmelikeapeon. Anything you can do to get this working would be much appreciated by me. If I can't get it working soon, I'm going to have to migrate several passwords out of 1Password and store them unencrypted in an Applescript, because this is significantly impacting my professional life.

    What's the status on the functionality being supported in 1Password itself, as a supported feature?

  • brentybrenty

    Team Member

    @1TicketTerm: I don't think it's likely that this is something 1Password itself will support, but it's not entirely impossible. As mentioned above though, we're in contact with the developer to allow them to get it working. Thanks for letting us know how important this is to you!

  • @brenty I know you guys have been working with the dev of sudolikeaboss but this is totally something that should be supported by 1password! It really makes sense as the terminal is where some of the most secure passwords are required :chuffed:

  • ag_kevinag_kevin Junior Member

    Team Member

    Thanks for the encouragement, @dwhoban . We can't promise yes or no at this point but we will investigate and consider it.

    Cheers,
    Kevin

  • I'd like to vote for this as a supported feature as well. This is a major part of my workflow as I spend a lot of time moving between servers, etc. It is a huge productivity boost to have access to 1Password via sudolikeaboss. If you guys released a terminal application with 1Password that would be even better.

  • brentybrenty

    Team Member

    Thanks for letting us know! Perhaps we can offer something like that in the future. :)

  • We really need a First Party solution for terminal passwords.

    The problem is that Third-Party "browser" plugins naturally don't get updated on the same schedule as First Party plugins.... Right now I'm in a screwed situation where I foolishly updated to 6.8.1 which broke sudolikeaboss (without any warning or note!!) but If I roll back to 6.8.0 I break my browser plugins. Add to that I'm on the Mac Appstore version so I can't really roll back anyways (w/o losing Sync). Now multiply 3 macs by Chrome, Safari, FireFox & FireFoxDev.

    I'd like to be able to update 1Password with confidence..... I read the version notes but nothing warned me 6.8.1 would break all plugins.

  • brentybrenty

    Team Member

    @EuroTrash: Version 6.8.1 didn't "break plugins"; we made changes to 1Password and its extension so that it wouldn't break with supported browsers as they evolve. Otherwise you'd soon be out of luck with 3 out of the 4 browsers you listed, across all of your Macs. You should really check out the CLI beta. ;)

  • Yes, I would like to have 1password support for terminal passwords out of the box.

    Too many times now that sudolikeaboss is not working anymore and it helps me a lot.

  • ag_kevinag_kevin Junior Member

    Team Member

    Hi @FrankyLupo,

    We would love to support Terminal integration. Unfortunately, there isn't an API that lets us do it safely and securely.

    Regards,
    Kevin

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file